' ********************************************************************************
' ********************* PROGRAMME DE COMMANDE DU ROBOT EPOX V ********************
' ********************************************************************************
' ATTRIBUTION DES LIGNES D'ENTREES/SORTIES
'
' MOTEUR DROIT:
' P21, P22, P23: slection vitesse
' P24: mode RUN=1
' P25: CLOCK avance
' P26: pas entiers=1
' P27: sens de rotation
' P28: ENABLE moteur=1
'
' MOTEUR GAUCHE:
' P13, P14, P15: slection vitesse
' P16: mode RUN=1
' P17: CLOCK avance
' P18: pas entiers=1
' P19: sens de rotation
' P20: ENABLE moteur=1
'
' SON
' P7: son haut-parleur
'
' MODEM TDL2A-433-9
' P8: ENABLE TDL2A-433-9
' P9: STATUS TDL2A-433-9
' P10: rception des donnes par le TDL2A-433-9
' P11: mission des donnes par le TDL2A-433-9
' P12: SETUP=0 pour la configuration du TDL2A-433-9
' ********************************************************************************
' dclaration du type de microcontrleur
		const device=3h
' dclaration des variables
		dim donne_RX as byte
' ********************************************************************************
		lcdinit 
		set picbus high
		delay 1000
		locate 0,0:print "***  EPOX V  ***"
		locate 0,1:print "  BIENVENUE ... "
		play 7,"C8D8E8F8G8A8B8C+8"
		delay 1000
			out 17,1:out 25,1          'entre CLOCK  1
			out 16,1:out 24,1          'mode RUN dvalid
			out 13,0:out 14,0:out 15,0 'moteur droit,premire vitesse
			out 21,0:out 22,0:out 23,0 'moteur gauche,premire vitesse
			out 18,1:out 26,1          'pas entier
			out 20,0:out 28,0          'moteurs dvalids
			out 8,0                    'validation TDL2A-433-9
			out 12,1                   'dvalidation du mode SETUP du TDL2A-433-9
		play 7,"C+8B8A8G8F8E8D8C8"
		delay 3000
		cls
programme:
		serout 11,103,0,5,["ATTENTE ORDRE...",13,10]
		delay 10	
		play 7,"C+8C6
		C+8"
		serin 10,103,0,6000,programme,[donne_RX]
		goto affichage
affichage:
		serout 11,103,0,5,["DONNEE ACCEPTEE ------> ",donne_RX,13,10]
		locate 0,0		
		if donne_RX="A" then print "  Marche avant  ":goto avance 
		if donne_RX="R" then print " Marche arriere ":goto recule
		if donne_RX="D" then print "    A droite    ":goto droite
		if donne_RX="G" then print "    A gauche    ":goto gauche
 		if donne_RX="S" then print "      Stop      ":goto arrt
 		locate 0,1
		if donne_RX="1" then print "   Vitesse 1    ":goto vitesse_1
		if donne_RX="2" then print "   Vitesse 2    ":goto vitesse_2
		if donne_RX="3" then print "   Vitesse 3    ":goto vitesse_3
		if donne_RX="4" then print "   Vitesse 4    ":goto vitesse_4
		if donne_RX="5" then print "   Vitesse 5    ":goto vitesse_5
		if donne_RX="6" then print "   Vitesse 6    ":goto vitesse_6
		if donne_RX="7" then print "   Vitesse 7    ":goto vitesse_7
		if donne_RX="8" then print "   Vitesse 8    ":goto vitesse_8
avance:
	 		out 19,0:out 27,1 'sens de rotation
			out 20,1:out 28,1 'validation moteurs
			out 16,0:out 24,0 'mode RUN valid
			goto programme
recule:
			out 19,1:out 27,0 'sens de rotation
			out 20,1:out 28,1 'validation moteurs
			out 16,0:out 24,0 'mode RUN valid
			goto programme
droite:
			out 19,0:out 27,0 'sens de rotation
			out 20,1:out 28,1 'validation moteurs
			out 16,0:out 24,0 'mode RUN valid
			goto programme
gauche:
			out 19,1:out 27,1 'sens de rotation
			out 20,1:out 28,1 'validation moteurs
			out 16,0:out 24,0 'mode RUN valid
			goto programme
arrt:
			out 20,0:out 28,0 'dvalidation moteurs
			out 16,1:out 24,1 'mode RUN dvalid
			goto programme

vitesse_1:
			out 13,0:out 14,0:out 15,0
			out 21,0:out 22,0:out 23,0
			goto programme
vitesse_2:
			out 13,0:out 14,0:out 15,1
			out 21,0:out 22,0:out 23,1
			goto programme
vitesse_3:
			out 13,0:out 14,1:out 15,0
			out 21,0:out 22,1:out 23,0
			goto programme
vitesse_4:
			out 13,0:out 14,1:out 15,1
			out 21,0:out 22,1:out 23,1
			goto programme
vitesse_5:
			out 13,1:out 14,0:out 15,0
			out 21,1:out 22,0:out 23,0
			goto programme
vitesse_6:
			out 13,1:out 14,0:out 15,1
			out 21,1:out 22,0:out 23,1
			goto programme
vitesse_7:
			out 13,1:out 14,1:out 15,0
			out 21,1:out 22,1:out 23,0
			goto programme
vitesse_8:
			out 13,1:out 14,1:out 15,1
			out 21,1:out 22,1:out 23,1
			goto programme
' ********************************************************************************
